<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~cufflinks_confirm.js" 
	styles="path.css,~../css/reggie-2.css"
	>
<style>
tr.highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#rawBioAssaysTable
{
	width: 100%; 
	border-collapse: collapse;
}

#rawBioAssaysTable thead
{
	border-bottom-width: 1px;
	border-top-width: 1px;
}

#rawBioAssaysTable td
{
	text-align: center;
	min-width: 4.5em;
}

#rawBioAssaysTable tbody td
{
	padding-top: 1px;
	padding-bottom: 1px;
}

#rawBioAssaysTable .italic
{
	font-style: italic;
}

.file-link
{
	margin-left: 0.5em;
}

.comment input
{
	width: 95%;
	min-width: 20em;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Confirm feature extraction" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-content">
			
			<div id="rawBioAssays"></div>
		
			<table class="step-form topborder" id="delete-items" style="display: none;">
			<tr>
				<td class="prompt"></td>
				<td class="input" style="text-align: right; vertical-align: middle;">
					<label>Delete items created by failed jobs
					<input type="checkbox" name="deleteItemsCreatedByFailedJobs" id="deleteItemsCreatedByFailedJobs" checked>
					</label>
				</td>
				<td class="status" id="deleteItemsCreatedByFailedJobs.status"></td>
				<td class="help">
					<span id="deleteItemsCreatedByFailedJobs.message" class="message"></span>
					Recommended! <b>RawBioAssays</b> items created by failed jobs 
					are deleted to avoid cluttering in the database.
				</td>
			</tr>
			</table>
		</div>
	</div>
			
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>